Bug 115 - systat iostat display doesn't scale high enough
Summary: systat iostat display doesn't scale high enough
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 2.0-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1995-01-14 03:40 UTC by David Muir Sharnoff
Modified: 1999-07-16 18:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Muir Sharnoff 1995-01-14 03:40:02 UTC
		  /0   /5   /10  /15  /20  /25  /30  /35  /40  /45  /50
	fd0   bps|XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX55.6
	      tps|XXXXXXX
	fd1   bps|
	      tps|
	sd0   bps|XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX1777.8
	      tps|XXXXXXX
	cd0   bps|  
	      tps|

	My disk isn't even busy right now.   For busy it looks like:


		  /0   /5   /10  /15  /20  /25  /30  /35  /40  /45  /50
	fd0   bps|XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX2919.5
	      tps|XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	fd1   bps|
	      tps|
	sd0   bps|XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX93745.0
	      tps|XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	cd0   bps|  
	      tps|


	A logrithmic scale may be necessary, or having the units change,
	or something.  93745 >>>>> 50.  Actually, 93745 is too high to
	be believed.  The best my disk should be able to do is around
	13000bps.  (I suppose it could burst higher due to its caching
	controller, but 93745bps is not to be believed)

	I will file this as a separte bug report.

How-To-Repeat: 	
	get a fast disk, run systat.
Comment 1 scrappy freebsd_committer 1996-04-14 05:50:48 UTC
Responsible Changed
From-To: freebsd-bugs->bde

Comment 2 Bruce Evans freebsd_committer 1996-12-17 12:15:53 UTC
Responsible Changed
From-To: bde->freebsd-bugs

I won't be fixing this soon. 
The description shows impossible speeds for fd0.  iostat isn't really 
supported for floppies, so allocating space for floppies just wastes 
space. 
Comment 3 Poul-Henning Kamp freebsd_committer 1998-05-25 09:11:08 UTC
State Changed
From-To: open->suspended

Awaiting committer 
Comment 4 Nick Hibma freebsd_committer 1999-07-16 18:15:48 UTC
State Changed
From-To: suspended->closed

Systat has been updated to use Mb/s instead of bps. On a system here it  
kind of  represents the right thing at 6Mb/s (as accurate as you get on an 
ASCII display). 

For the record, this PR was filed on 

Sat Jan 14 03:40:02 1995 

:-)